Most Up To Date Pokémon Simulator

Pokémon Online is the most popular, accurate, and complete Pokémon battle simulator out there. Open source, it's currently available in 11 languages, on your computer or your Android device. It hosts more than a million battles per month. Download the latest version and enjoy competitive battles across all six generations in real time against trainers from around the world!

Download
v 2.5.1


  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Problem with Teambuilder after downloading the new client

Discussion in 'Bug Wasteland' started by ChinaTown, Oct 16, 2010.

  1. ChinaTown

    ChinaTown New Member

    Messages:
    6
    So I posted this the other day in the help forums, but not many people answered, so here it is in the bugs forum.

    Hey guys, just downloaded the new client a few hours ago and I'm experiencing some problems.

    So I built an Uber team, but when I save it and close the team and go back to reopen it, my pokemon have the wrong moves.

    It also tells me they can't be used with *insert dream world ability* .

    Also, the program lags severely when starting up and tells me that its not responding only to respond a few seconds later.

    I mean I do find it comical that I have a wobbuffet that knows roar of time, but its rather annoying that I can't build a new team.

    I have tried to uninstall and reinstall the program as well as trying to use different pokemon. However, no solution has worked.

    For example: my deoxys-S will have the moveset: volt tackle, hyper fang, nightmare, metronome

    3 of those moves are illegal and additionally it will tell me the moves can't be used with the dream world ability: klutz.

    Thanks for the help in advance,
    -ChinaTown

    If any additional details are needed, please ask, I want to get back to playing pokemon online.

    Also, I did not use any new 5th gen pokemon in my teams.
  2. coyotte508

    coyotte508 Administrator Administrator

    Messages:
    6,305
    Are you sure it's only a few hours ago?

    If you move your team folder away, uninstall, redownload and reinstall, it should work fine. And anyway, 5th gen teams should work even if you have an old gen 5 client.

    And also, are you really sure you downloaded again before reinstalling?
  3. ChinaTown

    ChinaTown New Member

    Messages:
    6
    It was a few hours ago, at the time of the original post in the help section, as of now its been nearly 2 days. I deleted EVERYTHING except my old teams related to pokemon online and reinstalled. I don't really care about 5th generation teams right now. All I wanna do is play 4th gen.

    I'm not going to redownload and reinstall something everyday just to make sure it works. That's a waste of time.
  4. coyotte508

    coyotte508 Administrator Administrator

    Messages:
    6,305
  5. ChinaTown

    ChinaTown New Member

    Messages:
    6
    Well I redownloaded and the bug is still there, suggestions?

    EDIT: Let me give you a step by step walkthrough of what I'm doing.

    1. Go into control panel, and uninstall pokemon online and all its related components
    2. Go into the download of pokemon online, run the program installer, and install it.
    3. Attempt to teambuild, and get a Deoxys-S that has volt tackle, hyper fang, nightmare and metronome instead of the usual stealth rock, spikes, taunt and extremespeed.
    4. Fix the moves to what I want, and it tells me it can't be used with the dream world ability klutz.
    5. Close the program after saving only deoxys-S into a team.
    6. Reopen PO and load the only deoxys-S team and discover it still has volt tackle, hyper fang, nightmare and metronome.

    This update is as of 3 minutes ago
  6. coyotte508

    coyotte508 Administrator Administrator

    Messages:
    6,305
    It won't work with teams you made with the previous 5th gen client. But new teams and old teams will work.
  7. ChinaTown

    ChinaTown New Member

    Messages:
    6
    I didn't HAVE the 5th generation client, I only had pokemon online for about a week and then there was a new version of the client out. I ONLY ever played 4th gen. Look, I don't care about 5th generation, it just said when I logged in, that I don't have version .95 and that I might not be able to do somethings, so I downloaded it just to make sure I'm up to date. Right now I can't build new teams, so I can't even go online to try new teams
  8. coyotte508

    coyotte508 Administrator Administrator

    Messages:
    6,305
    Well then.

    The first gen 5 client had problem when building 3rd gen and 4th gen teams. 5th gen teams were fine. That's the client you downloaded two days ago.

    Now the client was fixed. But old gen 4 teams won't work on it (only old ones, but let's consider none work on it). You'll just have to move your team Folder so PO doesn't find it, and create gen 4 teams from scratch. Save that team somewhere, restart PO and check if it was saved correctly. Then if the team is OK you can try battling online.

    Not much I can add =/
  9. ChinaTown

    ChinaTown New Member

    Messages:
    6
    Sorry if I come across as pissed, but its pretty annoying that the first pokemon simulator I find that works for me now doesn't work T__T.

    I'll try a few more solutions that u propose. Thanks a lot for your help. =]

    My old 4th gen teams work, its just I can't make anything new, or edit any existing ones...
  10. coyotte508

    coyotte508 Administrator Administrator

    Messages:
    6,305
    Ok.

    If really it doesn't work again and want PO, then you can use remote help so I do those myself but there shouldn't be a need for it.

Share This Page